> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Accounts



## OpenAPI

````yaml api-reference/openapi-account.json GET /account
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /account:
    get:
      tags:
        - Account
      summary: List Accounts
      parameters:
        - description: Bank account number. Filterable.
          in: query
          name: account_number
          schema:
            type: string
        - description: One of `checking` or `savings`. Filterable.
          in: query
          name: account_type
          schema:
            type: string
        - description: >-
            Timestamp of the account closure, ISO 8601 format
            ('YYYY-MM-DDThh:mm:ssZ'). Limited availability. Always in UTC.
            Filterable.
          in: query
          name: closed_date
          schema:
            type: string
        - description: ID of organization that is associated with the account. Filterable.
          in: query
          name: org_id
          schema:
            type: string
        - description: >-
            The status of the account. One of `open`, `closed`, or
            `close_pending`. Filterable.
          in: query
          name: status
          schema:
            type: string
        - description: Array of tags associated with this account. Filterable.
          in: query
          name: tags
          schema:
            items:
              type: string
            type: array
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - account_number: '64141601'
                        account_type: checking
                        bank_id: bank_treasuryprime
                        closed_date: '2017-11-02T11:55:14Z'
                        created_at: '2017-11-02T11:55:14Z'
                        currency: USD
                        id: acct_1029384756
                        org_id: org_1gwmpv3payf
                        routing_number: '021001208'
                        status: open
                        tags: null
                        updated_at: '2017-11-02T11:55:14Z'
                        userdata: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        account_number:
                          description: Bank account number. Filterable.
                          type: string
                        account_type:
                          description: One of `checking` or `savings`. Filterable.
                          type: string
                        bank_id:
                          description: ID of the bank with which the account is associated
                          type: string
                        closed_date:
                          description: >-
                            Timestamp of the account closure, ISO 8601 format
                            ('YYYY-MM-DDThh:mm:ssZ'). Limited availability.
                            Always in UTC. Filterable.
                          type: string
                        currency:
                          description: >-
                            Three-letter ISO currency code in lowercase,
                            indicating the currency denominating the account.
                            Currently only `USD` is supported
                          type: string
                        id:
                          description: Unique identifier for object
                          type: string
                        name:
                          description: Name of the account
                          type: string
                        nickname:
                          description: Nickname of the account
                          type: string
                        org_id:
                          description: >-
                            ID of organization that is associated with the
                            account. Filterable.
                          type: string
                        routing_number:
                          description: >-
                            ABA routing transit number associated with the
                            account
                          type: string
                        status:
                          description: >-
                            The status of the account. One of `open`, `closed`,
                            or `close_pending`. Filterable.
                          type: string
                        tags:
                          description: >-
                            Array of tags associated with this account.
                            Filterable.
                          items:
                            type: string
                          type: array
                        userdata:
                          description: >-
                            Arbitrary user data that can be attached to the
                            object
                          type: object
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` account elements, starting after the account described
            by `page_cursor`. If no more accounts are available, the resulting
            list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````